org.apache.tomcat.websocket.pojo

## Class PojoPathParam

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoPathParam

-     public class PojoPathParam
      extends Object

  Stores the parameter type and name for a parameter that needs to be passed to an onXxx method of `Endpoint`. The name is only present for parameters annotated with `PathParam`. For the `Session` and `Throwable` parameters, `getName()` will always return `null`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoPathParam(Class<?> type, String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `Class<?>` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoPathParam

          public PojoPathParam(Class<?> type,
                       String name)
                        throws DeploymentException

      Throws:
        `DeploymentException`

  - ### Method Detail

    - #### getType

          public Class<?> getType()

    - #### getName

          public String getName()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.